import request from '@/utils/request'
const service_name = "oil-finance"
const group_name = "oilOrderInfo"
const invoic_name = 'OilCustomerInvoicRecord' // 开票
export default {
	// 微信下单 支付
	// aggregatePay(data) {
	// 	return request({
	// 		url: `/${service_name}/${group_name}/aggregatePay`,
	// 		method: 'post',
	// 		data: data
	// 	})
	// },
	// 微信下单 支付
	aggregatePay(data) {
		return request({
			url: `/${service_name}/${group_name}/wechatPay`,
			method: 'post',
			data: data
		})
	},
	// 添加开票记录
	save(data){
		return request({
			url: `/${service_name}/${invoic_name}/save`,
			method:'post',
			data:data
		})
	},
	//根据id查询开票详情
	getRecordByOrderId(orderId){
		return request({
			url: `/${service_name}/${invoic_name}/getRecordByOrderId/${orderId}`,
			method:'GET'
		})
	},
	//判断指定订单是否开票
	checkStatus(orderId){
		return request({
			url: `/${service_name}/${invoic_name}/checkStatus`,
			method:'GET',
			params:{
				orderSerialNumber:orderId
			}
		})
	},//判断指定订单是否开票
	orderUpdate(data){
		return request({
			url: `/${service_name}/${invoic_name}/clientUpdate`,
			method:'PUT',
			data:data
		})
	},
}
